{ lib, pkgs, ... }:
{
  services.udisks2.enable = true;
  hm.services.udiskie.enable = true;
  # fix reliance on nonexistent graphical-session-pre.target
  hm.systemd.user.services.udiskie = lib.mkForce {
    Unit = {
      Description = "udiskie mount daemon";
      After = [ ];
      PartOf = [ "graphical-session.target" ];
    };

    Service.ExecStart = [ "${pkgs.udiskie}/bin/udiskie --appindicator" ];

    Install.WantedBy = [ "graphical-session.target" ];
  };
}
